#ifndef JPG_PCX_H
#define JPG_PCX_H

#define DEBUG 1

#define ALLCUT 4	/* weisser gemachter Rand (not yet) */
#define TOPCUT 9	/* oben nach weiss aufgehellt */
#define CUTLIM 50	/* ab so wenig Rand fuer weiss halten */

#define RECHTSOBEN 15	/* rechts oben aus-weissen (not yet) */

#define BLULIM 9	/* min. Delta fuer Blau-Push (Risiko...) */
#define BLUPUSH 19	/* Staerke des Blau-Push (vor Grau-Test) */
#define GREYLIM 19	/* min. Delta um Farbe freizugeben */
#define WHITEGREY 220	/* min. Werte fuer r,g,b damit w */
#define B_M_LIM 140	/* min. Blauanteil damit Magenta Blau statt Rot wird */

#define BITS 4
#define QQ (1<<BITS)
#define QS (8-BITS)

#include<stdio.h>
#include<unistd.h> // read etc.
#include<stdlib.h> // system...
#include<string.h>
#include<errno.h> // ...
#include<fcntl.h> // open
#include<sys/stat.h> // stat
#include<sys/wait.h> // waitpid
#include<sys/types.h>
#include<sys/mman.h> // mmap msync munmap ... really usefull, also for IPC!
#include<sys/time.h> // time fuer srandom
#include<paths.h>    // _PATH_TMP, _PATH_BSHELL
#include<linux/limits.h> // PATH_MAX (4k) NAME_MAX (255) ARG_MAX (128k)

void palcreate(unsigned char * palarray);

int  pcxwrite(char * pcxname, unsigned char * buf, int xsize, int ysize);

int  farbreduktion(unsigned char * buf, int xsize, int ysize);

int  rufe_convert(char * rein, char * raus,char * opt1, char * opt2, char * opt3);

#endif
